import z from "zod";

export const riskSchema = z.object({
  riskTitle: z.string().min(1),
  riskProbability: z.number().min(0).max(100),
  grossRiskValue: z.number().min(0),
  probableRiskValue: z.number(),
  probableRiskValueInUSD: z.number(),
  riskImpact: z.string(),
  riskOwner: z.string().min(1),
  riskDescription: z.string().min(1),
  projectIdentifier: z.string(),
  financialRisk: z.boolean(),
  riskCreatedDate: z.string(),
  riskOptionsSelectId: z.string(),
  riskStatus: z.string().optional(),
  riskAge: z.number().optional(),
  effectedSprintId: z.string().optional(),
});
